from tornado import web,template
from tornado import ioloop

class IndexHanlder(web.RequestHandler):
    async def get(self):
        orders=[
            {   'id':1,
                'name':'MacPro 2060',
                'type':'32G',
                'price':9999,
                'num':1,
                'img':'static/img/goods.jpg',
                'opts':'<a href="delete?id=3">删除</a>'
            },
            {
                'id':2,
                'name':'HuaWei Mate 2060',
                'type':'512G',
                'price':6666,
                'num':1,
                'img':'static/img/goods007.jpg',
                'opts':'<a href="delete?id=3">删除</a>'
            },
            {   
                'id':3,
                'name':'Sony耳机',
                'type':'立体混音',
                'price':66,
                'num':2,
                'img':'static/img/goods008.jpg',
                'opts':'<a href="delete?id=3">删除</a>'
            },
        ]
        self.render('tmp.html',orders=orders)

class ProductModule(web.UIModule):
    def count(self,price,num):
        return price*num
    def render(self,orders):
        # print(orders)
        return self.render_string('ui_module/product.html',orders=orders,count_price = self.count)
    # def embedded_css(self):
    #     return 'html {color:red}'
    def css_files(self):
        return ['css/style.css']

import os
base_path = os.path.dirname(os.path.abspath(__file__))

settings={
    'static_path':os.path.join(base_path,'static'),
    'static_url_prefix':'/static/',
    'template_path':os.path.join(base_path,'templates'),
    'ui_modules':{
        'product':ProductModule
    }
}

if __name__ == '__main__':
    app = web.Application([
        ('/',IndexHanlder),
        ],debug=True,
        **settings)
    app.listen(8000)
    ioloop.IOLoop.current().start()