from tornado import web, ioloop
import aiomysql

class IndexHandler(web.RequestHandler):
    def initialize(self,mysql):
        self.mysql = mysql

    async def get(self):
        async with aiomysql.create_pool(
            host=self.mysql.get('host'),
            port=self.mysql.get('port'),
            user=self.mysql.get('user'),
            password=self.mysql.get('password'),
            db=self.mysql.get('db')
            ) as pool:
            async with pool.acquire() as conn:
                async with conn.cursor() as cur:
                    await cur.execute("select * from t_user;")
                    tmp = await cur.fetchone()
                    print(tmp)
        self.render('personal.html')

import os
base_url = os.path.dirname(os.path.abspath(__file__))
settings={
    'static_path':os.path.join(base_url,'static'),
    'static_url_prefix':'/static/',
    'template_path':os.path.join(base_url,'templates'),
    'mysql':
        {
            'host':'127.0.0.1',
            'port':3306,
            'user':'root',
            'password':'root',
            'db':'tornado_demo1'
        }
}

if __name__ == "__main__":
    app = web.Application([
        web.URLSpec('/',IndexHandler,settings.get('mysql'),name='index'),
    ],
    debug=True,
    **settings
    )
    app.listen(8000)
    ioloop.IOLoop.current().start()
