from peewee import *
from operator import index
from datetime import datetime
import peewee_async

db = MySQLDatabase('tornado_demo1',host='127.0.0.1',port =3306,user='root',password='root')

obj=peewee_async.Manager(db)

class BaseModel(Model):
    create_time = DateTimeField(default = datetime.now)

    class Meta:
        database = db

class Commany(BaseModel):
    name = CharField(verbose_name ='公司名称')
    full_name = CharField()
    year = IntegerField(default=2000)

    class Meta:
        table_name = 't_commany'

class Music(BaseModel):
    name = CharField(index=True,verbose_name ='音乐名称')
    singer = CharField(max_length=32,verbose_name ='演唱者')
    duration = CharField(max_length=32,verbose_name ='时长')
    _type = CharField(max_length=32,verbose_name ='类型')
    commany = ForeignKeyField(Commany,verbose_name ='版权所属',backref='music')

    class Meta:
        table_name = 't_music'