from tornado import web, ioloop
import aiomysql
from wtform25 import UserForm
from models26 import User,objs


class IndexHandler(web.RequestHandler):
    def initialize(self,mysql):
        self.mysql = mysql 
    async def get(self):
        uf = UserForm()
        self.render('personal26.html',user_form = uf)
    async def post(self):
        forms = UserForm(self.request.arguments)
        if forms.validate():
            del forms.data["id"]
            await objs.create(User,**forms.data)
            self.render('personal26-1.html',user_form = forms)    
        else:
            self.render('personal26.html',user_form = forms)

class LoginHandler(web.RequestHandler):
    def initialize(self, mysql):
        self.mysql = mysql
    async def get(self):
        uf = UserForm()
        self.render('login.html', user_form=uf)
    async def post(self):
        # forms = UserForm(self.request.arguments)
        username = self.get_argument('username')
        password = self.get_argument('password')
        tmp_ms = User.select(User.username, User.password)
        for tmp_m in tmp_ms:
            a = tmp_m.username == username
            b = tmp_m.password == password
            if all([a,b]):
                return self.finish('登录成功')
                # self.render('personal26-1.html',user_form = forms) 
            else:
                return self.finish('登录失败')
                # self.render('personal26-1.html',user_form = forms) 


import os
base_url = os.path.dirname(os.path.abspath(__file__))
settings={
    'static_path':os.path.join(base_url,'static'),
    'static_url_prefix':'/static/',
    'template_path':os.path.join(base_url,'templates'),
    'mysql':
        {
            'host':'127.0.0.1',
            'port':3306,
            'user':'root',
            'password':'root',
            'db':'tornado_demo1'
        }
}

if __name__ == "__main__":
    app = web.Application([
        web.URLSpec('/',IndexHandler,{'mysql':settings.get('mysql')},name='index'),
        web.URLSpec('/login',LoginHandler,{'mysql':settings.get('mysql')},name='login'),
    ],
    debug=True,
    **settings
    )
    app.listen(8000)
    ioloop.IOLoop.current().start()


